  
# Dapr 1.3.1

## Fixes

* Dapr sidecar crashes when Dapr Operator is down (https://github.com/dapr/dapr/issues/3665)

### Overview

This is a fix for a regression caused by making Dapr sidecar crash if it cannot reach the Dapr Operator. Dapr Operator can be down due to upgrades, for example, and should not impact running Dapr sidecars. Dapr guarantees zero downtime upgrades, and this bug violates this guarantee. 

**DO NOT** upgrade from 1.3.0 to 1.3.1 or any other version without performing the following steps first:

Upgrade sidecar injector
```bash
helm upgrade dapr dapr/dapr --set-string dapr_sidecar_injector.image.name=docker.io/daprio/daprd:1.3.1 -n dapr-system
```

Rollout deployments that use Dapr sidecar
```bash
kubectl rollout restart deploy/<name>
```

